Creates a new document record and initiates a multipart upload to S3. Returns presigned URLs for uploading file parts directly to S3. This endpoint is designed for uploading large files that may exceed standard upload limits. After uploading all parts to the presigned URLs, call the complete endpoint to finalize the upload.
Response containing presigned URLs for multipart upload to S3.
Show child attributes
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Layer","colors":{"primary":"#5ba183","light":"#7e9be5","dark":"#5ba183"},"logo":{"light":"https://mintcdn.com/layerfinancialtechnologiesinc/vN7_-byPIlUr9WYu/logo/layer_logo.svg?fit=max\u0026auto=format\u0026n=vN7_-byPIlUr9WYu\u0026q=85\u0026s=731d805a8bf32985beb197f69ae937e6","dark":"https://mintcdn.com/layerfinancialtechnologiesinc/vN7_-byPIlUr9WYu/logo/layer_logo.svg?fit=max\u0026auto=format\u0026n=vN7_-byPIlUr9WYu\u0026q=85\u0026s=731d805a8bf32985beb197f69ae937e6","href":"http://layerfi.com"},"favicon":"https://mintcdn.com/layerfinancialtechnologiesinc/0_c_qPO4Af3kMlwQ/favicon.png?fit=max\u0026auto=format\u0026n=0_c_qPO4Af3kMlwQ\u0026q=85\u0026s=ec8ea64f9b358b7cf5fac926e2a06566","api":{"openapi":["openApiSpec.json"],"playground":{"display":"simple"},"mdx":{"auth":{"method":"bearer"},"server":"https://sandbox.layerfi.com"}},"appearance":{"default":"light","strict":true},"background":{"color":{"dark":"#090014"}},"navbar":{"links":[{"href":"https://dashboard.layerfi.com/sign-in","label":"Log in"}],"primary":{"type":"button","label":"Contact Sales","href":"https://www.layerfi.com/contact"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"layerfinancialtechnologiesinc","hasAudioNarration":false,"actualSubdomain":"layerfinancialtechnologiesinc","customDomains":["docs.layerfi.com"],"gitSource":{"type":"github","owner":"layer-fi","repo":"api-documentation","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ad929a4461b4ec5be816b00","collectionId":"593de2a3-1abf-4244-bcda-93226d34d2fc","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ad929a4461b4ec5be816b00"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ad929a4461b4ec5be816b00","clientVersion":"0.0.4006","searchFilterCounts":[{"language":"default","tag":"API Reference","count":378},{"language":"default","tag":"Financial Activity","count":261},{"language":"default","tag":"Accounts Receivable","count":64},{"language":"default","tag":"Businesses","count":63},{"language":"default","tag":"Accounts Payable","count":47},{"language":"default","tag":"Integrations","count":41},{"language":"default","tag":"Accounting Reports","count":41},{"language":"default","tag":"Bank Transactions","count":33},{"language":"default","tag":"Guides","count":32},{"language":"default","tag":"Embedded Components","count":31}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/v1/create-document-upload","slug":"/api-reference/v1/create-document-upload","pageMetadata":{"openapi":"post /v1/businesses/{businessId}/documents","title":"Create document upload","description":"Creates a new document record and initiates a multipart upload to S3. Returns presigned URLs for uploading file parts directly to S3. This endpoint is designed for uploading large files that may exceed standard upload limits. After uploading all parts to the presigned URLs, call the complete endpoint to finalize the upload.","href":"/api-reference/v1/create-document-upload"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Creates a new document record and initiates a multipart upload to S3. Returns presigned URLs for uploading file parts directly to S3. This endpoint is designed for uploading large files that may exceed standard upload limits. After uploading all parts to the presigned URLs, call the complete endpoint to finalize the upload.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"post /v1/businesses/{businessId}/documents","title":"Create document upload","description":"Creates a new document record and initiates a multipart upload to S3. Returns presigned URLs for uploading file parts directly to S3. This endpoint is designed for uploading large files that may exceed standard upload limits. After uploading all parts to the presigned URLs, call the complete endpoint to finalize the upload.","href":"/api-reference/v1/create-document-upload"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/layerfinancialtechnologiesinc/9c1eae5d582125a5/scripts/validate-docs-links.js","/_mintlify/custom/layerfinancialtechnologiesinc/b18193903b896216/scripts/validate-local-images.js"],"openApiReferenceData":{"operation":{"tags":[],"summary":"Create document upload","description":"Creates a new document record and initiates a multipart upload to S3. Returns presigned URLs for uploading file parts directly to S3. This endpoint is designed for uploading large files that may exceed standard upload limits. After uploading all parts to the presigned URLs, call the complete endpoint to finalize the upload.","operationId":"business.documents.create","parameters":["e08ac0de-e4ed-4ee8-9f4e-2307172331db","a0dae9de-ed58-4aa7-8c5e-05b15f21abd8"],"requestBody":"d4652fa6-8add-4ad2-8e65-bfaf646160b1","responses":{"201":"ee93a4cc-412a-4f6a-866c-70c74a180d6d","400":"c2932e9f-0bb7-4bf7-85a7-2f0c17c4c43c","404":"c4c8fd08-05ef-402b-a706-00528cce9cd9"},"deprecated":false,"method":"post","type":"path","servers":[],"security":["e6328f6c-9eff-4e80-a5ab-90395c69115e"],"path":"/v1/businesses/{businessId}/documents","baseUrlOptions":["https://sandbox.layerfi.com"],"title":"Create document upload","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"e08ac0de-e4ed-4ee8-9f4e-2307172331db":{"name":"businessId","in":"path","description":"The UUID of the business to create the document for.","required":true,"schema":{"type":"string","format":"uuid","isRequired":true,"description":"The UUID of the business to create the document for.","uniqueKey":"","typeLabel":"string\u003cuuid>"}},"a0dae9de-ed58-4aa7-8c5e-05b15f21abd8":{"name":"Content-Type","in":"header","description":"Content-Type must be set to application/json.","schema":{"type":"string","description":"Content-Type must be set to application/json.","uniqueKey":"","typeLabel":"string"}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"document_type":{"type":"string","enum":["RECEIPT","BANK_STATEMENT","UNSTRUCTURED_BOOKKEEPING_CONTEXT","OTHER"],"description":"The type of document being uploaded.","example":"RECEIPT","isRequired":true,"uniqueKey":"document_type","typeLabel":"enum\u003cstring>"},"file_name":{"type":"string","description":"The name of the file including its extension.","example":"quarterly-report.pdf","isRequired":true,"uniqueKey":"file_name","typeLabel":"string"},"file_type":{"type":"string","description":"The MIME type of the file.","example":"application/pdf","isRequired":true,"uniqueKey":"file_type","typeLabel":"string"},"file_size_bytes":{"type":"integer","format":"int64","description":"The size of the file in bytes. Used to calculate the number of upload parts.","example":10485760,"isRequired":true,"uniqueKey":"file_size_bytes","typeLabel":"integer\u003cint64>"}},"required":["document_type","file_name","file_type","file_size_bytes"],"description":"Parameters for creating a new document with presigned upload URLs.","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"document_type":"RECEIPT","file_name":"quarterly-report.pdf","file_type":"application/pdf","file_size_bytes":10485760}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"ee93a4cc-412a-4f6a-866c-70c74a180d6d":{"description":"Document record created and multipart upload initiated. The response includes presigned URLs for uploading file parts.","headers":{},"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"document_id":{"type":"string","format":"uuid","description":"The unique identifier of the created document record.","isRequired":true,"uniqueKey":"data.document_id","typeLabel":"string\u003cuuid>"},"upload_id":{"type":"string","description":"The S3 multipart upload ID. Required when completing or aborting the upload.","isRequired":true,"uniqueKey":"data.upload_id","typeLabel":"string"},"part_size_bytes":{"type":"integer","format":"int64","description":"The size in bytes that each part should be, except for the last part which may be smaller.","isRequired":true,"uniqueKey":"data.part_size_bytes","typeLabel":"integer\u003cint64>"},"parts":{"type":"array","items":{"type":"object","properties":{"part_number":{"type":"integer","description":"The part number for this upload segment (1-indexed).","isRequired":true,"uniqueKey":"data.parts.items.[INDEX].part_number","typeLabel":"integer"},"url":{"type":"string","description":"The presigned URL for uploading this part. PUT the file bytes to this URL. The response will include an ETag header that must be provided when completing the upload.","isRequired":true,"uniqueKey":"data.parts.items.[INDEX].url","typeLabel":"string"}},"required":["part_number","url"],"description":"A single part of a multipart upload with its presigned URL.","uniqueKey":"data.parts.items.[INDEX]","typeLabel":"object"},"description":"List of presigned URLs for uploading each part of the file.","isRequired":true,"uniqueKey":"data.parts","typeLabel":"object[]"},"type":{"type":"string","description":"Resource type. Value will be `S3_Multipart_Upload`.","example":"S3_Multipart_Upload","uniqueKey":"data.type","typeLabel":"string"}},"required":["document_id","upload_id","part_size_bytes","parts"],"description":"Response containing presigned URLs for multipart upload to S3.","isRequired":true,"uniqueKey":"data","typeLabel":"object"}},"required":["data"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"data":{"document_id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","upload_id":"\u003cstring>","part_size_bytes":123,"parts":[{"part_number":123,"url":"\u003cstring>"}],"type":"S3_Multipart_Upload"}}}},"exampleType":"generated"}},"exampleType":"generated"},"c2932e9f-0bb7-4bf7-85a7-2f0c17c4c43c":{"description":"Invalid request parameters.","content":{"application/json":{"schema":{"type":"object","description":"An error object returned in API error responses.","properties":{"type":{"type":"string","enum":["ResourceArchived","AuthFailure","Plaid","Stripe","InvalidState","ResourceNotFound","InvalidParameters","JsonSerialization","Unknown","BadRequest","PaginationCursor","Conflict","LedgerOperationFailed"],"example":"InvalidParameters","description":"A fixed category for the error, helpful for categorizing and processing errors.","isRequired":true,"uniqueKey":"type","typeLabel":"enum\u003cstring>"},"description":{"type":"string","description":"A human-readable error description.","isRequired":true,"uniqueKey":"description","typeLabel":"string"},"error_enum":{"oneOf":[{"type":"string","description":"A stable, machine-readable identifier for programmatically handling specific error conditions. Only present for 4xx client errors—not included for 5xx server errors. Use this instead of parsing the description field, as enum values remain stable across API versions.","enum":["AccessCodeInvalid","BalanceSheetDoesNotBalance","BalanceSheetMissingAccount","BankStatementAccountDetectionError","BankStatementParsingError","BankStatementParserError","BankStatementValidationError","BillStateError","BulkCategorizeFailure","BulkMatchFailure","BusinessTaskAlreadyCompleted","BusinessTaskDeleted","CalendlyOAuthError","CallBookingError","CantUpdateTransactionInCustomerPayout","CantUpdateTransactionInVendorPayout","CheckPayrollConfigNotFound","CheckPayrollServiceNotFound","ClerkUserAlreadyExists","ConflictingQueryParams","CustomAccountAlreadyExists","CustomTransactionCsvParsingError","CustomTransactionUploadFailure","CustomerPayoutInputFormatError","DoesNotMatchExistingEntity","EmptyBatchRequest","ExpenseParserError","ExternalAccountBalanceReconciliationError","ExternalIdConflict","InvalidCategory","InvalidEffectiveDate","InvalidLedgerOperation","InvalidMonthlyAverageRange","InvalidMultiPartRequest","InvalidPaginationCursor","InvalidPayload","InvoiceDeleted","InvoiceNotFound","InvoiceReferenceMismatch","InvoiceStateError","ManualRateLimit","MultipleTagKeyFiltersUnsupported","NoCognitoUserFound","NoOpeningBalanceFound","NotYetReconciled","OnePasswordApiError","OnePasswordItemNotFound","OnePasswordVaultNotFound","OpenAICategorizationError","PaymentLinkInvalid","PayrollStateError","PeriodIsClosed","PeriodNotClosed","PhoneNumberAlreadyRegistered","PlaidApiError","PlaidConnectionBroken","PlaidCreateLinkTokenError","PlaidCredentialsNotConfigured","PlaidExchangePublicTokenError","PlaidGetInstitutionByIdError","PlaidGetItemError","PlaidInvalidEnvironment","PlaidItemAlreadyExists","PlaidItemNotFound","PlaidProcessorApiError","PlaidStatementsAccessNotEnabled","PlaidStatementsNotEnabled","PlaidStatementsNotSupported","PlaidUnlinkItemError","QueryParamFormat","QueryParamMissing","QuickbooksBrokenConnection","QuickbooksConnectionAlreadyExists","QuickbooksConnectionAlreadySyncing","QuickbooksConnectionMissing","QuickbooksConnectionNotActivated","QuickbooksInvalidRequest","QuickbooksInvalidState","QuickbooksNoMatchingAccount","QuickbooksNonPostingAccountType","QuickbooksNotConfigured","QuickbooksOAuthCallbackInvalid","QuickbooksOAuthError","QuickbooksTokenExpired","ReadOnlyBusiness","ResourceArchived","ScheduleCNotConfigured","SmsNotEnabled","SpecifiedBadRequest","SpecifiedIdNotFound","SplitTransactionError","StepEvaluationBadRequest","StripeConnectAccountIdNotFound","StripeCredentialsNotConfigured","StripeGetBalanceForConnectAccountFailure","StripeRedirectOrRefreshUrlNotConfigured","TagFilterNotFound","UnexpectedQueryParam","UnitAccountsInUse","WrongAnswerType"],"example":"InvalidPayload","uniqueKey":"error_enum.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"A stable, machine-readable identifier for programmatically handling specific error conditions. Only present for 4xx client errors—not included for 5xx server errors. Use this instead of parsing the description field, as enum values remain stable across API versions.","enum":["AccessCodeInvalid","BalanceSheetDoesNotBalance","BalanceSheetMissingAccount","BankStatementAccountDetectionError","BankStatementParsingError","BankStatementParserError","BankStatementValidationError","BillStateError","BulkCategorizeFailure","BulkMatchFailure","BusinessTaskAlreadyCompleted","BusinessTaskDeleted","CalendlyOAuthError","CallBookingError","CantUpdateTransactionInCustomerPayout","CantUpdateTransactionInVendorPayout","CheckPayrollConfigNotFound","CheckPayrollServiceNotFound","ClerkUserAlreadyExists","ConflictingQueryParams","CustomAccountAlreadyExists","CustomTransactionCsvParsingError","CustomTransactionUploadFailure","CustomerPayoutInputFormatError","DoesNotMatchExistingEntity","EmptyBatchRequest","ExpenseParserError","ExternalAccountBalanceReconciliationError","ExternalIdConflict","InvalidCategory","InvalidEffectiveDate","InvalidLedgerOperation","InvalidMonthlyAverageRange","InvalidMultiPartRequest","InvalidPaginationCursor","InvalidPayload","InvoiceDeleted","InvoiceNotFound","InvoiceReferenceMismatch","InvoiceStateError","ManualRateLimit","MultipleTagKeyFiltersUnsupported","NoCognitoUserFound","NoOpeningBalanceFound","NotYetReconciled","OnePasswordApiError","OnePasswordItemNotFound","OnePasswordVaultNotFound","OpenAICategorizationError","PaymentLinkInvalid","PayrollStateError","PeriodIsClosed","PeriodNotClosed","PhoneNumberAlreadyRegistered","PlaidApiError","PlaidConnectionBroken","PlaidCreateLinkTokenError","PlaidCredentialsNotConfigured","PlaidExchangePublicTokenError","PlaidGetInstitutionByIdError","PlaidGetItemError","PlaidInvalidEnvironment","PlaidItemAlreadyExists","PlaidItemNotFound","PlaidProcessorApiError","PlaidStatementsAccessNotEnabled","PlaidStatementsNotEnabled","PlaidStatementsNotSupported","PlaidUnlinkItemError","QueryParamFormat","QueryParamMissing","QuickbooksBrokenConnection","QuickbooksConnectionAlreadyExists","QuickbooksConnectionAlreadySyncing","QuickbooksConnectionMissing","QuickbooksConnectionNotActivated","QuickbooksInvalidRequest","QuickbooksInvalidState","QuickbooksNoMatchingAccount","QuickbooksNonPostingAccountType","QuickbooksNotConfigured","QuickbooksOAuthCallbackInvalid","QuickbooksOAuthError","QuickbooksTokenExpired","ReadOnlyBusiness","ResourceArchived","ScheduleCNotConfigured","SmsNotEnabled","SpecifiedBadRequest","SpecifiedIdNotFound","SplitTransactionError","StepEvaluationBadRequest","StripeConnectAccountIdNotFound","StripeCredentialsNotConfigured","StripeGetBalanceForConnectAccountFailure","StripeRedirectOrRefreshUrlNotConfigured","TagFilterNotFound","UnexpectedQueryParam","UnitAccountsInUse","WrongAnswerType"],"example":"InvalidPayload","uniqueKey":"error_enum.oneOf.1","typeLabel":"null"}],"uniqueKey":"error_enum","typeLabel":"enum\u003cstring> | null"},"meta":{"oneOf":[{"type":"object","description":"Optional additional information about the error.","uniqueKey":"meta.oneOf.0","typeLabel":"object"},{"type":"null","description":"Optional additional information about the error.","uniqueKey":"meta.oneOf.1","typeLabel":"null"}],"uniqueKey":"meta","typeLabel":"object | null"}},"required":["type","description"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"type":"InvalidParameters","description":"\u003cstring>","error_enum":"InvalidPayload","meta":{}}}},"exampleType":"generated"}},"exampleType":"generated"},"c4c8fd08-05ef-402b-a706-00528cce9cd9":{"description":"Business not found.","content":{"application/json":{"schema":{"type":"object","description":"An error object returned in API error responses.","properties":{"type":{"type":"string","enum":["ResourceArchived","AuthFailure","Plaid","Stripe","InvalidState","ResourceNotFound","InvalidParameters","JsonSerialization","Unknown","BadRequest","PaginationCursor","Conflict","LedgerOperationFailed"],"example":"InvalidParameters","description":"A fixed category for the error, helpful for categorizing and processing errors.","isRequired":true,"uniqueKey":"type","typeLabel":"enum\u003cstring>"},"description":{"type":"string","description":"A human-readable error description.","isRequired":true,"uniqueKey":"description","typeLabel":"string"},"error_enum":{"oneOf":[{"type":"string","description":"A stable, machine-readable identifier for programmatically handling specific error conditions. Only present for 4xx client errors—not included for 5xx server errors. Use this instead of parsing the description field, as enum values remain stable across API versions.","enum":["AccessCodeInvalid","BalanceSheetDoesNotBalance","BalanceSheetMissingAccount","BankStatementAccountDetectionError","BankStatementParsingError","BankStatementParserError","BankStatementValidationError","BillStateError","BulkCategorizeFailure","BulkMatchFailure","BusinessTaskAlreadyCompleted","BusinessTaskDeleted","CalendlyOAuthError","CallBookingError","CantUpdateTransactionInCustomerPayout","CantUpdateTransactionInVendorPayout","CheckPayrollConfigNotFound","CheckPayrollServiceNotFound","ClerkUserAlreadyExists","ConflictingQueryParams","CustomAccountAlreadyExists","CustomTransactionCsvParsingError","CustomTransactionUploadFailure","CustomerPayoutInputFormatError","DoesNotMatchExistingEntity","EmptyBatchRequest","ExpenseParserError","ExternalAccountBalanceReconciliationError","ExternalIdConflict","InvalidCategory","InvalidEffectiveDate","InvalidLedgerOperation","InvalidMonthlyAverageRange","InvalidMultiPartRequest","InvalidPaginationCursor","InvalidPayload","InvoiceDeleted","InvoiceNotFound","InvoiceReferenceMismatch","InvoiceStateError","ManualRateLimit","MultipleTagKeyFiltersUnsupported","NoCognitoUserFound","NoOpeningBalanceFound","NotYetReconciled","OnePasswordApiError","OnePasswordItemNotFound","OnePasswordVaultNotFound","OpenAICategorizationError","PaymentLinkInvalid","PayrollStateError","PeriodIsClosed","PeriodNotClosed","PhoneNumberAlreadyRegistered","PlaidApiError","PlaidConnectionBroken","PlaidCreateLinkTokenError","PlaidCredentialsNotConfigured","PlaidExchangePublicTokenError","PlaidGetInstitutionByIdError","PlaidGetItemError","PlaidInvalidEnvironment","PlaidItemAlreadyExists","PlaidItemNotFound","PlaidProcessorApiError","PlaidStatementsAccessNotEnabled","PlaidStatementsNotEnabled","PlaidStatementsNotSupported","PlaidUnlinkItemError","QueryParamFormat","QueryParamMissing","QuickbooksBrokenConnection","QuickbooksConnectionAlreadyExists","QuickbooksConnectionAlreadySyncing","QuickbooksConnectionMissing","QuickbooksConnectionNotActivated","QuickbooksInvalidRequest","QuickbooksInvalidState","QuickbooksNoMatchingAccount","QuickbooksNonPostingAccountType","QuickbooksNotConfigured","QuickbooksOAuthCallbackInvalid","QuickbooksOAuthError","QuickbooksTokenExpired","ReadOnlyBusiness","ResourceArchived","ScheduleCNotConfigured","SmsNotEnabled","SpecifiedBadRequest","SpecifiedIdNotFound","SplitTransactionError","StepEvaluationBadRequest","StripeConnectAccountIdNotFound","StripeCredentialsNotConfigured","StripeGetBalanceForConnectAccountFailure","StripeRedirectOrRefreshUrlNotConfigured","TagFilterNotFound","UnexpectedQueryParam","UnitAccountsInUse","WrongAnswerType"],"example":"InvalidPayload","uniqueKey":"error_enum.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"A stable, machine-readable identifier for programmatically handling specific error conditions. Only present for 4xx client errors—not included for 5xx server errors. Use this instead of parsing the description field, as enum values remain stable across API versions.","enum":["AccessCodeInvalid","BalanceSheetDoesNotBalance","BalanceSheetMissingAccount","BankStatementAccountDetectionError","BankStatementParsingError","BankStatementParserError","BankStatementValidationError","BillStateError","BulkCategorizeFailure","BulkMatchFailure","BusinessTaskAlreadyCompleted","BusinessTaskDeleted","CalendlyOAuthError","CallBookingError","CantUpdateTransactionInCustomerPayout","CantUpdateTransactionInVendorPayout","CheckPayrollConfigNotFound","CheckPayrollServiceNotFound","ClerkUserAlreadyExists","ConflictingQueryParams","CustomAccountAlreadyExists","CustomTransactionCsvParsingError","CustomTransactionUploadFailure","CustomerPayoutInputFormatError","DoesNotMatchExistingEntity","EmptyBatchRequest","ExpenseParserError","ExternalAccountBalanceReconciliationError","ExternalIdConflict","InvalidCategory","InvalidEffectiveDate","InvalidLedgerOperation","InvalidMonthlyAverageRange","InvalidMultiPartRequest","InvalidPaginationCursor","InvalidPayload","InvoiceDeleted","InvoiceNotFound","InvoiceReferenceMismatch","InvoiceStateError","ManualRateLimit","MultipleTagKeyFiltersUnsupported","NoCognitoUserFound","NoOpeningBalanceFound","NotYetReconciled","OnePasswordApiError","OnePasswordItemNotFound","OnePasswordVaultNotFound","OpenAICategorizationError","PaymentLinkInvalid","PayrollStateError","PeriodIsClosed","PeriodNotClosed","PhoneNumberAlreadyRegistered","PlaidApiError","PlaidConnectionBroken","PlaidCreateLinkTokenError","PlaidCredentialsNotConfigured","PlaidExchangePublicTokenError","PlaidGetInstitutionByIdError","PlaidGetItemError","PlaidInvalidEnvironment","PlaidItemAlreadyExists","PlaidItemNotFound","PlaidProcessorApiError","PlaidStatementsAccessNotEnabled","PlaidStatementsNotEnabled","PlaidStatementsNotSupported","PlaidUnlinkItemError","QueryParamFormat","QueryParamMissing","QuickbooksBrokenConnection","QuickbooksConnectionAlreadyExists","QuickbooksConnectionAlreadySyncing","QuickbooksConnectionMissing","QuickbooksConnectionNotActivated","QuickbooksInvalidRequest","QuickbooksInvalidState","QuickbooksNoMatchingAccount","QuickbooksNonPostingAccountType","QuickbooksNotConfigured","QuickbooksOAuthCallbackInvalid","QuickbooksOAuthError","QuickbooksTokenExpired","ReadOnlyBusiness","ResourceArchived","ScheduleCNotConfigured","SmsNotEnabled","SpecifiedBadRequest","SpecifiedIdNotFound","SplitTransactionError","StepEvaluationBadRequest","StripeConnectAccountIdNotFound","StripeCredentialsNotConfigured","StripeGetBalanceForConnectAccountFailure","StripeRedirectOrRefreshUrlNotConfigured","TagFilterNotFound","UnexpectedQueryParam","UnitAccountsInUse","WrongAnswerType"],"example":"InvalidPayload","uniqueKey":"error_enum.oneOf.1","typeLabel":"null"}],"uniqueKey":"error_enum","typeLabel":"enum\u003cstring> | null"},"meta":{"oneOf":[{"type":"object","description":"Optional additional information about the error.","uniqueKey":"meta.oneOf.0","typeLabel":"object"},{"type":"null","description":"Optional additional information about the error.","uniqueKey":"meta.oneOf.1","typeLabel":"null"}],"uniqueKey":"meta","typeLabel":"object | null"}},"required":["type","description"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"type":"InvalidParameters","description":"\u003cstring>","error_enum":"InvalidPayload","meta":{}}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"e6328f6c-9eff-4e80-a5ab-90395c69115e":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","scopes":[],"schemeName":"BearerAuth"}}},"servers":{},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"JWT","scopes":[],"schemeName":"BearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"BearerAuth","name":"Authorization"}],"title":"BearerAuth"}]},"originalFileLocation":"openApiSpec.json"},"subdomain":"layerfinancialtechnologiesinc","siteName":"Layer","title":"Create document upload - Layer","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-06-15T17:25:53.781Z","originalFileLocation":"api-reference/v1/create-document-upload.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=\"light\";if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"light\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Creates a new document record and initiates a multipart upload to S3. Returns presigned URLs for uploading file parts directly to S3. This endpoint is designed for uploading large files that may exceed standard upload limits. After uploading all parts to the presigned URLs, call the complete endpoint to finalize the upload.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Layer\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/layerfinancialtechnologiesinc/8S-c4lWpUCPfDahX/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/layerfinancialtechnologiesinc/8S-c4lWpUCPfDahX/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/layerfinancialtechnologiesinc/8S-c4lWpUCPfDahX/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/layerfinancialtechnologiesinc/8S-c4lWpUCPfDahX/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/layerfinancialtechnologiesinc/8S-c4lWpUCPfDahX/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/layerfinancialtechnologiesinc/8S-c4lWpUCPfDahX/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/layerfinancialtechnologiesinc/8S-c4lWpUCPfDahX/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/layerfinancialtechnologiesinc/8S-c4lWpUCPfDahX/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/layerfinancialtechnologiesinc/8S-c4lWpUCPfDahX/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create document upload - Layer\">\u003cmeta data-mint-head property=\"og:description\" content=\"Creates a new document record and initiates a multipart upload to S3. Returns presigned URLs for uploading file parts directly to S3. This endpoint is designed for uploading large files that may exceed standard upload limits. After uploading all parts to the presigned URLs, call the complete endpoint to finalize the upload.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Layer\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.layerfi.com/api-reference/v1/create-document-upload\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://layerfinancialtechnologiesinc.mintlify.app/_mintlify/api/og/v2?division=Multipart+Upload\u0026amp;title=Create+document+upload\u0026amp;description=Creates+a+new+document+record+and+initiates+a+multipart+upload+to+S3.+Returns+presigned+URLs+for+uploading+file+parts+directly+to+S3.+This+endpoint+is+designed+\u0026amp;theme=6b529c5e9cd8edd781378415\u0026amp;signature=414a9e9af5288951c1f060734966caccd7e3e9f71bc5faa525b0d9d97bd7574d\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create document upload - Layer\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Creates a new document record and initiates a multipart upload to S3. Returns presigned URLs for uploading file parts directly to S3. This endpoint is designed for uploading large files that may exceed standard upload limits. After uploading all parts to the presigned URLs, call the complete endpoint to finalize the upload.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://layerfinancialtechnologiesinc.mintlify.app/_mintlify/api/og/v2?division=Multipart+Upload\u0026amp;title=Create+document+upload\u0026amp;description=Creates+a+new+document+record+and+initiates+a+multipart+upload+to+S3.+Returns+presigned+URLs+for+uploading+file+parts+directly+to+S3.+This+endpoint+is+designed+\u0026amp;theme=6b529c5e9cd8edd781378415\u0026amp;signature=414a9e9af5288951c1f060734966caccd7e3e9f71bc5faa525b0d9d97bd7574d\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/layerfinancialtechnologiesinc/8S-c4lWpUCPfDahX/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Layer\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#5ba183\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.layerfi.com/api-reference/v1/create-document-upload\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/v1/create-document-upload.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.layerfi.com/#organization\",\"name\":\"Layer\",\"url\":\"https://docs.layerfi.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/layerfinancialtechnologiesinc/vN7_-byPIlUr9WYu/logo/layer_logo.svg?fit=max\u0026auto=format\u0026n=vN7_-byPIlUr9WYu\u0026q=85\u0026s=731d805a8bf32985beb197f69ae937e6\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.layerfi.com#website\",\"name\":\"Layer\",\"url\":\"https://docs.layerfi.com\",\"publisher\":{\"@id\":\"https://docs.layerfi.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.layerfi.com/api-reference/v1/create-document-upload#webpage\",\"url\":\"https://docs.layerfi.com/api-reference/v1/create-document-upload\",\"name\":\"Create document upload\",\"description\":\"Creates a new document record and initiates a multipart upload to S3. Returns presigned URLs for uploading file parts directly to S3. This endpoint is designed for uploading large files that may exceed standard upload limits. After uploading all parts to the presigned URLs, call the complete endpoint to finalize the upload.\",\"dateModified\":\"2026-06-15T17:25:53.781Z\",\"isPartOf\":{\"@id\":\"https://docs.layerfi.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.layerfi.com/api-reference/v1/create-document-upload#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.layerfi.com/api-reference/v1/create-document-upload#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Businesses\",\"item\":\"https://docs.layerfi.com/api-reference/v1/list-businesses\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Documents\",\"item\":\"https://docs.layerfi.com/api-reference/v1/list-documents\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Multipart Upload\",\"item\":\"https://docs.layerfi.com/api-reference/v1/multipart-upload-guide\"},{\"@type\":\"ListItem\",\"position\":4,\"name\":\"Create document upload\",\"item\":\"https://docs.layerfi.com/api-reference/v1/create-document-upload\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.layerfi.com/api-reference/v1/create-document-upload#apireference\",\"headline\":\"Create document upload\",\"name\":\"Create document upload\",\"description\":\"Creates a new document record and initiates a multipart upload to S3. Returns presigned URLs for uploading file parts directly to S3. This endpoint is designed for uploading large files that may exceed standard upload limits. After uploading all parts to the presigned URLs, call the complete endpoint to finalize the upload.\",\"url\":\"https://docs.layerfi.com/api-reference/v1/create-document-upload\",\"mainEntityOfPage\":{\"@id\":\"https://docs.layerfi.com/api-reference/v1/create-document-upload#webpage\"},\"dateModified\":\"2026-06-15T17:25:53.781Z\",\"publisher\":{\"@id\":\"https://docs.layerfi.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.layerfi.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Layer\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Layer","nav":{"global":null,"tabs":[{"tab":"Guides","pages":[{"title":"Guides","href":"/overview"}]},{"tab":"API Reference","groups":[{"group":"Businesses","pages":[{"group":"Business","pages":[{"openapi":"get /v1/businesses","title":"List businesses","href":"/api-reference/v1/list-businesses"},{"openapi":"post /v1/businesses","title":"Create business","href":"/api-reference/v1/create-business"},{"openapi":"get /v1/businesses/{businessId}","title":"Fetch business","href":"/api-reference/v1/fetch-business"},{"openapi":"put /v1/businesses/{businessId}","title":"Update business","href":"/api-reference/v1/update-business"},{"openapi":"put /v1/businesses/{businessId}/readonly-status","title":"Set business read-only status","href":"/api-reference/v1/set-business-readonly-status"},{"openapi":"put /v1/businesses/{businessId}/archive","title":"Archive business","href":"/api-reference/v1/archive-business"},{"openapi":"post /v1/businesses/{businessId}/unarchive","title":"Unarchive business","href":"/api-reference/v1/unarchive-business"},{"openapi":"post /v1/businesses/{businessId}/request-data-deletion","title":"Request business data deletion","href":"/api-reference/v1/request-business-data-deletion"},{"openapi":"get /v1/businesses/demo","title":"List demo businesses","href":"/api-reference/v1/list-demo-businesses"},{"openapi":"post /v1/businesses/demo","title":"Create demo business","href":"/api-reference/v1/create-demo-business"},{"openapi":"post /v1/sales-demos","title":"Create sales demo business","href":"/api-reference/v1/create-sales-demo-business"}]},{"group":"Financial Accounts","pages":[{"group":"Bank Accounts","pages":[{"openapi":"get /v1/businesses/{businessId}/bank-accounts","title":"List bank accounts","href":"/api-reference/v1/list-bank-accounts"},{"openapi":"get /v1/businesses/{businessId}/bank-accounts/{bankAccountId}","title":"Get bank account","href":"/api-reference/v1/get-bank-account"},{"openapi":"post /v1/businesses/{businessId}/bank-accounts","title":"Create bank account","href":"/api-reference/v1/create-bank-account"},{"openapi":"patch /v1/businesses/{businessId}/bank-accounts/{bankAccountId}","title":"Update bank account","href":"/api-reference/v1/update-bank-account"},{"openapi":"post /v1/businesses/{businessId}/bank-accounts/{bankAccountId}/archive","title":"Archive bank account","href":"/api-reference/v1/archive-bank-account"}]},{"group":"All external account connections","pages":[{"openapi":"get /v1/businesses/{businessId}/external-accounts","title":"List external accounts","href":"/api-reference/v1/list-external-accounts"},{"openapi":"get /v1/businesses/{businessId}/external-accounts/{externalAccountId}","title":"Fetch external account","href":"/api-reference/v1/fetch-external-account"},{"openapi":"post /v1/businesses/{businessId}/external-accounts/{externalAccountId}/archive","title":"Archive external account","href":"/api-reference/v1/archive-external-account"},{"openapi":"post /v1/businesses/{businessId}/external-accounts/{externalAccountId}/uncategorize-and-archive","title":"Uncategorize and archive external account","href":"/api-reference/v1/uncategorize-and-archive-external-account"},{"openapi":"put /v1/businesses/{businessId}/external-accounts/{externalAccountId}/transaction-date-range","title":"Update transaction date range","href":"/api-reference/external-account/update-transaction-date-range"},{"openapi":"get /v1/businesses/{businessId}/external-accounts/{externalAccountId}/opening-balance","title":"Fetch opening balance","href":"/api-reference/v1/fetch-opening-balance"},{"openapi":"post /v1/businesses/{businessId}/custom-accounts/{customAccountId}/balance","title":"Set opening balance","href":"/api-reference/v1/set-opening-balance"},{"openapi":"delete /v1/businesses/{businessId}/external-accounts/{externalAccountId}/opening-balance","title":"Delete opening balance","href":"/api-reference/v1/delete-opening-balance"}]},{"group":"Custom Accounts","pages":[{"openapi":"get /v1/businesses/{businessId}/custom-accounts/{customAccountId}","title":"Fetch custom account","href":"/api-reference/v1/fetch-custom-account"},{"openapi":"post /v1/businesses/{businessId}/custom-accounts/","title":"Create custom account","href":"/api-reference/v1/create-custom-account"},{"openapi":"put /v1/businesses/{businessId}/custom-accounts/{customAccountId}","title":"Update custom account","href":"/api-reference/v1/update-custom-account"},{"openapi":"patch /v1/businesses/{businessId}/custom-accounts/{customAccountId}","title":"Patch custom account","href":"/api-reference/v1/patch-custom-account"},{"openapi":"post /v1/businesses/{businessId}/custom-accounts/{customAccountId}/bank-statement-import","title":"Import bank statement","href":"/api-reference/v1/import-bank-statement"},{"openapi":"post /v1/businesses/{businessId}/transaction-uploads/{uploadId}/archive","title":"Archive bank statement upload","href":"/api-reference/v1/archive-transaction-upload"},{"openapi":"post /v1/businesses/{businessId}/custom-accounts/{customAccountId}/archive","title":"Archive custom account","href":"/api-reference/v1/archive-custom-account"},{"openapi":"post /v1/businesses/{businessId}/custom-accounts/{customAccountId}/reactivate","title":"Reactivate custom account","href":"/api-reference/v1/reactivate-custom-account"}]},{"group":"Plaid Accounts","pages":[{"title":"Plaid Account object","href":"/api-reference/plaid-account/plaid-account"},{"title":"List Plaid Accounts","api":"GET https://sandbox.layerfi.com/v1/businesses/{business_id}/plaid/accounts","href":"/api-reference/plaid-account/list-plaid-accounts"},{"openapi":"get /v1/businesses/{businessId}/plaid/items/{plaidItemId}/statements","title":"List Plaid statements","href":"/api-reference/v1/list-plaid-statements"},{"openapi":"post /v1/businesses/{businessId}/plaid/items/{plaidItemId}/statements/{statementId}","title":"Download bank statement","href":"/api-reference/v1/save-plaid-statement"}]}]},{"group":"Documents","pages":[{"openapi":"get /v1/businesses/{businessId}/documents","title":"List documents","href":"/api-reference/v1/list-documents"},{"openapi":"get /v1/businesses/{businessId}/s3_doc/{documentId}","title":"Fetch document","href":"/api-reference/v1/fetch-document"},{"openapi":"post /v1/businesses/{businessId}/bank-transactions/{transactionId}/documents/{documentId}/archive","title":"Archive document","href":"/api-reference/v1/archive-document"},{"openapi":"post /v1/businesses/{businessId}/receipts/import","title":"Import receipt","href":"/api-reference/v1/import-receipt"},{"group":"Multipart Upload","pages":[{"title":"Multipart Upload Guide","sidebarTitle":"Overview","description":null,"href":"/api-reference/v1/multipart-upload-guide"},{"openapi":"post /v1/businesses/{businessId}/documents","title":"Create document upload","href":"/api-reference/v1/create-document-upload"},{"openapi":"post /v1/businesses/{businessId}/documents/{documentId}/complete","title":"Complete document upload","description":"Completes a multipart upload after all parts have been uploaded to S3. You must provide the upload_id from the create response and the ETag returned by S3 for each uploaded part. The ETag is returned in the response headers when you PUT to each presigned URL.","href":"/api-reference/v1/complete-document-upload"},{"openapi":"post /v1/businesses/{businessId}/documents/{documentId}/abort","title":"Abort document upload","href":"/api-reference/v1/abort-document-upload"}]},{"openapi":"post /v1/businesses/{businessId}/documents/trial-balances-import","title":"Import trial balances","href":"/api-reference/v1/import-trial-balances"},{"openapi":"delete /v1/businesses/{businessId}/documents/trial-balances-import","title":"Archive trial balances import","href":"/api-reference/v1/archive-trial-balances-import"}]},{"group":"Business Emails","pages":[{"openapi":"get /v1/businesses/{businessId}/support-emails","title":"List business emails","href":"/api-reference/v1/list-business-emails"},{"openapi":"get /v1/businesses/{businessId}/support-emails/{messageId}","title":"Fetch business email","href":"/api-reference/v1/fetch-business-email"}]},{"group":"Scoped Authentication","pages":[{"openapi":"post /v1/businesses/{businessId}/auth-token","title":"Create business auth token","href":"/api-reference/v1/create-business-auth-token"}]},{"group":"Configuration","pages":[{"openapi":"get /v1/businesses/{businessId}/accounting-config","title":"Fetch accounting configuration","href":"/api-reference/v1/fetch-accounting-configuration"},{"openapi":"patch /v1/businesses/{businessId}/accounting-config","title":"Patch accounting configuration","href":"/api-reference/v1/patch-accounting-configuration"},{"openapi":"get /v1/businesses/{businessId}/bookkeeping/status","title":"Fetch bookkeeping status","href":"/api-reference/v1/fetch-bookkeeping-status"},{"openapi":"post /v1/businesses/{businessId}/bookkeeping/activate","title":"Activate bookkeeping","href":"/api-reference/v1/activate-bookkeeping"},{"openapi":"post /v1/businesses/{businessId}/bookkeeping/deactivate","title":"Deactivate bookkeeping","href":"/api-reference/v1/deactivate-bookkeeping"},{"openapi":"post /v1/businesses/{businessId}/bookkeeping/start-date","title":"Set bookkeeping start date","href":"/api-reference/v1/set-bookkeeping-start-date"},{"openapi":"get /v1/businesses/{businessId}/sms","title":"Fetch SMS configuration","href":"/api-reference/v1/fetch-sms-configuration"},{"openapi":"put /v1/businesses/{businessId}/sms","title":"Update SMS configuration","href":"/api-reference/v1/update-sms-configuration"},{"openapi":"get /v1/businesses/{businessId}/sms/messages","title":"Fetch SMS message history","href":"/api-reference/v1/fetch-sms-message-history"}]},{"group":"Tasks \u0026 Notifications","pages":[{"openapi":"get /v1/businesses/{businessId}/tasks","title":"List tasks","href":"/api-reference/v1/list-tasks"},{"openapi":"get /v1/businesses/{businessId}/tasks/{taskId}","title":"Fetch task","href":"/api-reference/v1/fetch-task"},{"openapi":"post /v1/businesses/{businessId}/tasks/{taskId}/user-response","title":"Submit task response","href":"/api-reference/v1/submit-task-response"},{"openapi":"post /v1/businesses/{businessId}/tasks/{taskId}/mark-user-completed","title":"Mark task completed","href":"/api-reference/v1/mark-task-completed"},{"title":"Retrieve Notifications","api":"GET https://sandbox.layerfi.com/v1/businesses/{business_id}/notifications","href":"/api-reference/business/notifications"},{"openapi":"get /v1/businesses/{businessId}/notifications/uncategorized-monthly","title":"Fetch uncategorized transaction counts","href":"/api-reference/v1/fetch-uncategorized-transaction-counts"}]}]},{"group":"Financial Activity","pages":[{"group":"Accounts Receivable","pages":[{"group":"Customers","pages":[{"title":"Customer object","href":"/api-reference/customer/customer"},{"title":"List customers","api":"GET https://sandbox.layerfi.com/v1/businesses/{business_id}/customers","href":"/api-reference/customer/list-customers"},{"title":"Get a customer","api":"GET https://sandbox.layerfi.com/v1/businesses/{business_id}/customers/{customer_id}","href":"/api-reference/customer/get-customer"},{"title":"Create a customer","api":"POST https://sandbox.layerfi.com/v1/businesses/{business_id}/customers","href":"/api-reference/customer/create-customer"},{"openapi":"post /v1/businesses/{businessId}/customers/bulk","title":"Bulk create customers","href":"/api-reference/v1/bulk-create-customers"},{"title":"Update a customer","api":"PUT https://sandbox.layerfi.com/v1/businesses/{business_id}/customers/{customer_id}","href":"/api-reference/customer/update-customer"},{"openapi":"patch /v1/businesses/{businessId}/customers/{customerId}","title":"Patch update customer","href":"/api-reference/v1/patch-update-customer"},{"title":"Archive a customer","api":"POST https://sandbox.layerfi.com/v1/businesses/{business_id}/customers/{customer_id}/archive","href":"/api-reference/customer/archive-customer"},{"title":"Unarchive a customer","api":"POST https://sandbox.layerfi.com/v1/businesses/{business_id}/customers/{customer_id}/unarchive","href":"/api-reference/customer/unarchive-customer"}]},{"group":"Invoices","pages":[{"title":"Invoice object","href":"/api-reference/invoice/invoice"},{"title":"Create an Invoice","api":"POST https://sandbox.layerfi.com/v1/businesses/{business_id}/invoices","href":"/api-reference/invoice/create"},{"openapi":"post /v1/businesses/{businessId}/invoices/bulk","title":"Bulk create invoices","href":"/api-reference/v1/bulk-create-invoices"},{"openapi":"post /v1/businesses/{businessId}/invoices/batch","title":"Batch create invoices","href":"/api-reference/v1/batch-create-invoices"},{"openapi":"get /v1/businesses/{businessId}/invoices","title":"List invoices","href":"/api-reference/v1/list-invoices"},{"openapi":"get /v1/businesses/{businessId}/invoices/{invoiceId}","title":"Fetch invoice","href":"/api-reference/v1/fetch-invoice"},{"openapi":"put /v1/businesses/{businessId}/invoices/{invoiceId}","title":"Update invoice","href":"/api-reference/v1/update-invoice"},{"openapi":"patch /v1/businesses/{businessId}/invoices/{invoiceId}","title":"Patch invoice","href":"/api-reference/v1/patch-invoice"},{"title":"Void an Invoice","api":"POST https://sandbox.layerfi.com/v1/businesses/{business_id}/invoices/{invoice_id}/void","href":"/api-reference/invoice/void"},{"title":"Delete an Invoice","api":"POST https://sandbox.layerfi.com/v1/businesses/{business_id}/invoices/{invoice_id}/delete","href":"/api-reference/invoice/delete"},{"openapi":"post /v1/businesses/{businessId}/invoices/{invoiceId}/delete","title":"Delete invoice","href":"/api-reference/v1/delete-invoice"},{"openapi":"post /v1/businesses/{businessId}/invoices/bulk-delete","title":"Bulk delete invoices","href":"/api-reference/v1/bulk-delete-invoices"},{"openapi":"post /v1/businesses/{businessId}/invoices/{invoiceId}/refund","title":"Create dedicated refund on invoice","href":"/api-reference/v1/create-dedicated-invoice-refund"},{"openapi":"get /v1/businesses/{businessId}/invoices/{invoiceId}/pdf","title":"Generate invoice PDF","href":"/api-reference/v1/generate-invoice-pdf"}]},{"group":"Invoice Payments","pages":[{"title":"Invoice Payment object","href":"/api-reference/invoice/payments"},{"openapi":"post /v1/businesses/{businessId}/invoices/payments","title":"Record a payment","href":"/api-reference/v1/record-a-payment"},{"openapi":"post /v1/businesses/{businessId}/invoices/payments/bulk","title":"Bulk create invoice payments","href":"/api-reference/v1/bulk-create-invoice-payments"},{"openapi":"patch /v1/businesses/{businessId}/invoices/payments/{paymentId}","title":"Update payment","href":"/api-reference/v1/update-payment"},{"openapi":"get /v1/businesses/{businessId}/invoices/payments","title":"List payments","href":"/api-reference/v1/list-payments"},{"title":"Delete a Payment","api":"POST https://sandbox.layerfi.com/v1/businesses/{business_id}/invoices/payments/{payment_id}/delete","href":"/api-reference/invoice/delete-payment"},{"openapi":"post /v1/businesses/{businessId}/invoices/payments/{paymentId}/delete","title":"Delete invoice payment","href":"/api-reference/v1/delete-invoice-payment"},{"openapi":"post /v1/businesses/{businessId}/invoices/payments/bulk-delete","title":"Bulk delete invoice payments","href":"/api-reference/v1/bulk-delete-invoice-payments"},{"openapi":"post /v1/businesses/{businessId}/invoices/{invoiceId}/payment","title":"Create dedicated invoice payment","href":"/api-reference/v1/create-dedicated-invoice-payment"},{"openapi":"get /v1/businesses/{businessId}/invoices/{invoiceId}/payment/{paymentId}","title":"Get dedicated invoice payment","href":"/api-reference/v1/get-dedicated-invoice-payment"},{"openapi":"put /v1/businesses/{businessId}/invoices/{invoiceId}/payment/{paymentId}","title":"Update dedicated invoice payment","href":"/api-reference/v1/update-dedicated-invoice-payment"},{"openapi":"delete /v1/businesses/{businessId}/invoices/{invoiceId}/payment/{paymentId}","title":"Delete dedicated invoice payment","href":"/api-reference/v1/delete-dedicated-invoice-payment"}]},{"group":"Payouts","pages":[{"title":"Payout object","href":"/api-reference/customer-payouts/payout"},{"openapi":"get /v1/businesses/{businessId}/payouts","title":"List payouts","href":"/api-reference/v1/list-payouts"},{"openapi":"get /v1/businesses/{businessId}/payouts/{payoutId}","title":"Fetch payout","href":"/api-reference/v1/fetch-payout"},{"openapi":"post /v1/businesses/{businessId}/payouts","title":"Create payout","href":"/api-reference/v1/create-payout"},{"openapi":"post /v1/businesses/{businessId}/payouts/bulk","title":"Bulk create payouts","href":"/api-reference/v1/bulk-create-payouts"},{"openapi":"post /v1/businesses/{businessId}/payouts/{payoutId}/update","title":"Update payout","href":"/api-reference/v1/update-payout"},{"openapi":"delete /v1/businesses/{businessId}/payouts/{payoutId}","title":"Delete payout","href":"/api-reference/v1/delete-payout"}]},{"group":"Refunds","pages":[{"title":"Refund object","href":"/api-reference/refunds/refund"},{"openapi":"get /v1/businesses/{businessId}/invoices/refunds","title":"List refunds","href":"/api-reference/v1/list-refunds"},{"openapi":"post /v1/businesses/{businessId}/invoices/refunds","title":"Create refund","href":"/api-reference/v1/create-refund"},{"openapi":"post /v1/businesses/{businessId}/invoices/refunds/bulk","title":"Bulk create refunds","href":"/api-reference/v1/bulk-create-refunds"},{"openapi":"get /v1/businesses/{businessId}/invoices/refunds/{refundId}","title":"Fetch refund","href":"/api-reference/v1/fetch-refund"},{"openapi":"delete /v1/businesses/{businessId}/invoices/refunds/{refundId}","title":"Delete refund","href":"/api-reference/v1/delete-refund"},{"openapi":"put /v1/businesses/{businessId}/invoices/refunds/{refundId}","title":"Update refund","href":"/api-reference/v1/update-refund"},{"openapi":"patch /v1/businesses/{businessId}/invoices/refunds/{refundId}","title":"Patch refund","href":"/api-reference/v1/patch-refund"},{"openapi":"get /v1/businesses/{businessId}/invoices/refunds/payments","title":"List refund payments","href":"/api-reference/v1/list-refund-payments"},{"openapi":"post /v1/businesses/{businessId}/invoices/refunds/{refundId}/payments","title":"Create refund payment","href":"/api-reference/v1/create-refund-payment"},{"openapi":"get /v1/businesses/{businessId}/invoices/refunds/payments/{paymentId}","title":"Fetch refund payment","href":"/api-reference/v1/fetch-refund-payment"},{"openapi":"delete /v1/businesses/{businessId}/invoices/refunds/payments/{paymentId}","title":"Delete refund payment","href":"/api-reference/v1/delete-refund-payment"}]},{"group":"Write Offs","pages":[{"title":"Write-off object","href":"/api-reference/write-offs/write-off"},{"openapi":"post /v1/businesses/{businessId}/invoices/{invoiceId}/write-off","title":"Record write-off","href":"/api-reference/v1/record-write-off"},{"openapi":"get /v1/businesses/{businessId}/invoices/{invoiceId}/write-offs/{writeOffId}","title":"Fetch write-off","href":"/api-reference/v1/fetch-write-off"},{"openapi":"delete /v1/businesses/{businessId}/invoices/{invoiceId}/write-offs/{writeOffId}","title":"Delete write-off","href":"/api-reference/v1/delete-write-off"}]},{"group":"Customer Credits","pages":[{"title":"Customer credit object","href":"/api-reference/customer-credits/customer-credit"},{"openapi":"get /v1/businesses/{businessId}/invoices/customer-credits","title":"List customer credits","href":"/api-reference/v1/list-customer-credits"},{"openapi":"post /v1/businesses/{businessId}/invoices/customer-credits","title":"Create customer credit","href":"/api-reference/v1/create-customer-credit"},{"openapi":"get /v1/businesses/{businessId}/invoices/customer-credits/{customerCreditId}","title":"Fetch customer credit","href":"/api-reference/v1/fetch-customer-credit"},{"openapi":"patch /v1/businesses/{businessId}/invoices/customer-credits/{customerCreditId}","title":"Update customer credit","href":"/api-reference/v1/update-customer-credit"},{"openapi":"delete /v1/businesses/{businessId}/invoices/customer-credits/{customerCreditId}","title":"Delete customer credit","href":"/api-reference/v1/delete-customer-credit"}]},{"group":"A/R Reports","pages":[{"openapi":"get /v1/businesses/{businessId}/invoices/ar-aging","title":"Fetch AR aging report","href":"/api-reference/v1/fetch-ar-aging-report"},{"openapi":"get /v1/businesses/{businessId}/invoices/ar-aging/customer/{customerId}","title":"Fetch AR aging detail for a customer","href":"/api-reference/v1/fetch-ar-aging-detail-for-a-customer"}]}]},{"group":"Accounts Payable","pages":[{"group":"Vendors","pages":[{"title":"Vendor object","href":"/api-reference/vendor/vendor"},{"openapi":"get /v1/businesses/{businessId}/vendors","title":"List vendors","href":"/api-reference/v1/list-vendors"},{"openapi":"get /v1/businesses/{businessId}/vendors/{vendorId}","title":"Fetch vendor","href":"/api-reference/v1/fetch-vendor"},{"openapi":"post /v1/businesses/{businessId}/vendors","title":"Create vendor","href":"/api-reference/v1/create-vendor"},{"openapi":"put /v1/businesses/{businessId}/vendors/{vendorId}","title":"Update vendor","href":"/api-reference/v1/update-vendor"},{"openapi":"patch /v1/businesses/{businessId}/vendors/{vendorId}","title":"Patch update vendor","href":"/api-reference/v1/patch-update-vendor"},{"openapi":"post /v1/businesses/{businessId}/vendors/{vendorId}/archive","title":"Archive vendor","href":"/api-reference/v1/archive-vendor"},{"openapi":"post /v1/businesses/{businessId}/vendors/{vendorId}/unarchive","title":"Unarchive vendor","href":"/api-reference/v1/unarchive-vendor"}]},{"group":"Bills","pages":[{"openapi":"get /v1/businesses/{businessId}/bills/{billId}","title":"Fetch bill","href":"/api-reference/bill/bill"},{"openapi":"get /v1/businesses/{businessId}/bills","title":"List bills","href":"/api-reference/v1/list-bills"},{"openapi":"post /v1/businesses/{businessId}/bills","title":"Create bill","href":"/api-reference/v1/create-bill"},{"openapi":"post /v1/businesses/{businessId}/bills/{billId}/update","title":"Update bill","href":"/api-reference/v1/update-bill"},{"openapi":"post /v1/businesses/{businessId}/bills/{billId}/void","title":"Void bill","href":"/api-reference/v1/void-bill"},{"openapi":"post /v1/businesses/{businessId}/bills/{billId}/delete","title":"Delete bill","href":"/api-reference/v1/delete-bill"}]},{"group":"Expenses","pages":[{"title":"Expense object","href":"/api-reference/bill/expense"},{"openapi":"post /v1/businesses/{businessId}/expenses","title":"Create expense","href":"/api-reference/v1/create-expense"},{"title":"List expenses","sidebarTitle":"List expenses","openapi":"get /v1/businesses/{businessId}/bills","href":"/api-reference/v1/list-expenses"},{"title":"Fetch expense","sidebarTitle":"Fetch expense","openapi":"get /v1/businesses/{businessId}/bills/{billId}","href":"/api-reference/v1/fetch-expense"}]},{"group":"Bill Payments","pages":[{"title":"Bill payment object","href":"/api-reference/bill/payments"},{"openapi":"get /v1/businesses/{businessId}/bills/bill-payments","title":"List bill payments","href":"/api-reference/v1/list-bill-payments"},{"openapi":"post /v1/businesses/{businessId}/bills/bill-payments","title":"Create bill payment","href":"/api-reference/v1/create-bill-payment"},{"openapi":"post /v1/businesses/{businessId}/bills/bill-payments/{paymentId}/update","title":"Update bill payment","href":"/api-reference/v1/update-bill-payment"},{"openapi":"post /v1/businesses/{businessId}/bills/bill-payments/{paymentId}/delete","title":"Delete bill payment","href":"/api-reference/v1/delete-bill-payment"}]},{"group":"Vendor Credits","pages":[{"title":"Vendor credit object","href":"/api-reference/vendor-credits/vendor-credit"},{"openapi":"get /v1/businesses/{businessId}/bills/vendor-credits","title":"List vendor credits","href":"/api-reference/v1/list-vendor-credits"},{"openapi":"post /v1/businesses/{businessId}/bills/vendor-credits","title":"Create vendor credit","href":"/api-reference/v1/create-vendor-credit"},{"openapi":"get /v1/businesses/{businessId}/bills/vendor-credits/{vendorCreditId}","title":"Fetch vendor credit","href":"/api-reference/v1/fetch-vendor-credit"},{"openapi":"patch /v1/businesses/{businessId}/bills/vendor-credits/{vendorCreditId}","title":"Update vendor credit","href":"/api-reference/v1/update-vendor-credit"},{"openapi":"delete /v1/businesses/{businessId}/bills/vendor-credits/{vendorCreditId}","title":"Delete vendor credit","href":"/api-reference/v1/delete-vendor-credit"}]},{"group":"Vendor Refunds","pages":[{"title":"Vendor Refund object","href":"/api-reference/vendor-refunds/vendor-refund"},{"openapi":"get /v1/businesses/{businessId}/bills/refunds","title":"List vendor refunds","href":"/api-reference/v1/vendor-refunds/list-vendor-refunds"},{"openapi":"post /v1/businesses/{businessId}/bills/refunds","title":"Create vendor refund","href":"/api-reference/v1/vendor-refunds/create-vendor-refund"},{"openapi":"get /v1/businesses/{businessId}/bills/refunds/{refundId}","title":"Fetch vendor refund","href":"/api-reference/v1/vendor-refunds/fetch-vendor-refund"},{"openapi":"put /v1/businesses/{businessId}/bills/refunds/{refundId}","title":"Update vendor refund","href":"/api-reference/v1/vendor-refunds/update-vendor-refund"},{"openapi":"patch /v1/businesses/{businessId}/bills/refunds/{refundId}","title":"Patch vendor refund","href":"/api-reference/v1/vendor-refunds/patch-vendor-refund"},{"openapi":"delete /v1/businesses/{businessId}/bills/refunds/{refundId}","title":"Delete vendor refund","href":"/api-reference/v1/vendor-refunds/delete-vendor-refund"},{"openapi":"get /v1/businesses/{businessId}/bills/refunds/payments","title":"List vendor refund payments","href":"/api-reference/v1/vendor-refunds/list-vendor-refund-payments"},{"openapi":"get /v1/businesses/{businessId}/bills/refunds/{refundId}/payments","title":"List payments for vendor refund","href":"/api-reference/v1/vendor-refunds/list-vendor-refund-payments-for-refund"},{"openapi":"post /v1/businesses/{businessId}/bills/refunds/{refundId}/payments","title":"Create vendor refund payment","href":"/api-reference/v1/vendor-refunds/create-vendor-refund-payment"},{"openapi":"get /v1/businesses/{businessId}/bills/refunds/{refundId}/payments/{paymentId}","title":"Fetch vendor refund payment","href":"/api-reference/v1/vendor-refunds/fetch-vendor-refund-payment"},{"openapi":"delete /v1/businesses/{businessId}/bills/refunds/{refundId}/payments/{paymentId}","title":"Delete vendor refund payment","href":"/api-reference/v1/vendor-refunds/delete-vendor-refund-payment"}]},{"group":"Vendor Payouts","pages":[{"title":"Vendor Payout object","href":"/api-reference/vendor-payouts/vendor-payout"},{"openapi":"get /v1/businesses/{businessId}/vendor-payouts","title":"List vendor payouts","href":"/api-reference/v1/list-vendor-payouts"},{"openapi":"post /v1/businesses/{businessId}/vendor-payouts","title":"Create vendor payout","href":"/api-reference/v1/create-vendor-payout"},{"openapi":"get /v1/businesses/{businessId}/vendor-payouts/{payoutId}","title":"Fetch vendor payout","href":"/api-reference/v1/fetch-vendor-payout"},{"openapi":"put /v1/businesses/{businessId}/vendor-payouts/{payoutId}","title":"Update vendor payout","href":"/api-reference/v1/update-vendor-payout"},{"openapi":"delete /v1/businesses/{businessId}/vendor-payouts/{payoutId}","title":"Delete vendor payout","href":"/api-reference/v1/delete-vendor-payout"}]},{"group":"A/P Reports","pages":[{"openapi":"get /v1/businesses/{businessId}/reports/unified/ap-aging","title":"Fetch AP aging report","href":"/api-reference/v1/fetch-ap-aging-report"},{"openapi":"get /v1/businesses/{businessId}/reports/unified/ap-aging/exports/excel","title":"Export AP aging report as Excel","href":"/api-reference/v1/export-ap-aging-report-as-excel"}]}]},{"group":"Bank Transactions","pages":[{"title":"Bank Transaction object","href":"/api-reference/bank-transaction/bank-transaction"},{"openapi":"post /v1/businesses/{businessId}/custom-accounts/{customAccountId}/transactions","title":"Import transactions","href":"/api-reference/v1/import-transactions"},{"openapi":"post /v1/businesses/{businessId}/custom-accounts/{customAccountId}/transactions/record","title":"Record custom account transaction","href":"/api-reference/openapi-generated-schemas/record-custom-account-transaction"},{"openapi":"patch /v1/businesses/{businessId}/custom-accounts/{customAccountId}/transactions/{transactionId}/record","title":"Update recorded transaction","href":"/api-reference/openapi-generated-schemas/update-recorded-transaction"},{"openapi":"patch /v1/businesses/{businessId}/custom-accounts/{customAccountId}/transactions/{transactionId}","title":"Update custom account transaction","href":"/api-reference/openapi-generated-schemas/update-custom-account-transaction"},{"openapi":"get /v1/businesses/{businessId}/bank-transactions/{bankTransactionId}","title":"Fetch bank transaction","href":"/api-reference/v1/fetch-bank-transaction"},{"openapi":"get /v1/businesses/{businessId}/bank-transactions","title":"List bank transactions","href":"/api-reference/v1/list-bank-transactions"},{"openapi":"put /v1/businesses/{businessId}/bank-transactions/{transactionId}/categorize","title":"Categorize bank transaction","href":"/api-reference/v1/categorize-bank-transaction"},{"openapi":"put /v1/businesses/{businessId}/bank-transactions/{transactionId}/uncategorize","title":"Uncategorize bank transaction","href":"/api-reference/v1/uncategorize-bank-transaction"},{"openapi":"put /v1/businesses/{businessId}/bank-transactions/{transactionId}/match","title":"Match bank transaction","href":"/api-reference/v1/match-bank-transaction"},{"openapi":"post /v1/businesses/{businessId}/bank-transactions/bulk-match","title":"Bulk match","href":"/api-reference/v1/bulk-match"},{"openapi":"post /v1/businesses/{businessId}/bank-transactions/bulk-match-or-categorize","title":"Bulk match or categorize","href":"/api-reference/v1/bulk-match-or-categorize"},{"openapi":"post /v1/businesses/{businessId}/bank-transactions/bulk-categorize","title":"Bulk categorize transactions","href":"/api-reference/v1/bulk-categorize-bank-transactions"},{"openapi":"post /v1/businesses/{businessId}/bank-transactions/bulk-uncategorize","title":"Bulk uncategorize transactions","href":"/api-reference/v1/bulk-uncategorize-bank-transactions"},{"openapi":"get /v1/businesses/{businessId}/categories","title":"Fetch transaction categories","href":"/api-reference/v1/fetch-transaction-categories"},{"openapi":"put /v1/businesses/{businessId}/bank-transactions/{transactionId}/metadata","title":"Update transaction metadata","href":"/api-reference/v1/update-transaction-metadata"},{"openapi":"patch /v1/businesses/{businessId}/bank-transactions/{transactionId}/metadata","title":"Patch transaction metadata","href":"/api-reference/v1/patch-transaction-metadata"},{"group":"Exports","pages":[{"title":"Download Transactions CSV","api":"GET https://sandbox.layerfi.com/v1/businesses/{business_id}/reports/transactions/exports/csv","href":"/api-reference/bank-transaction/download-csv"},{"openapi":"get /v1/businesses/{businessId}/reports/transactions/exports/csv","title":"Export transactions as CSV","href":"/api-reference/v1/export-transactions-as-csv"},{"openapi":"get /v1/businesses/{businessId}/reports/transactions/exports/excel","title":"Export transactions as Excel","href":"/api-reference/v1/export-transactions-as-excel"}]},{"group":"Receipts","pages":[{"openapi":"post /v1/businesses/{businessId}/bank-transactions/{transactionId}/documents","title":"Upload transaction document","href":"/api-reference/v1/upload-transaction-document"},{"openapi":"get /v1/businesses/{businessId}/bank-transactions/{transactionId}/documents/{documentId}","title":"Fetch transaction document","href":"/api-reference/v1/fetch-transaction-document"},{"openapi":"get /v1/businesses/{businessId}/bank-transactions/{transactionId}/documents","title":"List transaction documents","href":"/api-reference/v1/list-transaction-documents"},{"openapi":"post /v1/businesses/{businessId}/bank-transactions/{transactionId}/documents/{documentId}/archive","title":"Archive document","href":"/api-reference/v1/archive-document"},{"openapi":"put /v1/businesses/{businessId}/bank-transactions/{transactionId}/metadata","title":"Update transaction metadata","href":"/api-reference/v1/update-transaction-metadata"},{"openapi":"patch /v1/businesses/{businessId}/bank-transactions/{transactionId}/metadata","title":"Patch transaction metadata","href":"/api-reference/v1/patch-transaction-metadata"}]},{"group":"Categorization Rules","pages":[{"openapi":"get /v1/businesses/{businessId}/categorization-rules","title":"List categorization rules","href":"/api-reference/v1/categorization-rules/list-categorization-rules"},{"openapi":"post /v1/businesses/{businessId}/categorization-rules","title":"Create categorization rule","href":"/api-reference/v1/categorization-rules/create-categorization-rule"},{"openapi":"get /v1/businesses/{businessId}/categorization-rules/{categorizationRuleId}","title":"Get categorization rule","href":"/api-reference/v1/categorization-rules/get-categorization-rule"},{"openapi":"put /v1/businesses/{businessId}/categorization-rules/{categorizationRuleId}","title":"Update categorization rule","href":"/api-reference/v1/categorization-rules/update-categorization-rule"},{"openapi":"post /v1/businesses/{businessId}/categorization-rules/{categorizationRuleId}/archive","title":"Archive categorization rule","href":"/api-reference/v1/categorization-rules/archive-categorization-rule"},{"openapi":"get /v1/businesses/{businessId}/categorization-rules/suggestions","title":"List suggested categorization rules","href":"/api-reference/v1/categorization-rules/list-suggested-categorization-rules"},{"openapi":"get /v1/businesses/{businessId}/categorization-rules/suggestions/{suggestionId}","title":"Get suggested categorization rule","href":"/api-reference/v1/categorization-rules/get-suggested-categorization-rule"},{"openapi":"patch /v1/businesses/{businessId}/categorization-rules/suggestions/{suggestionId}","title":"Update suggested categorization rule","href":"/api-reference/v1/categorization-rules/update-suggested-categorization-rule"},{"openapi":"delete /v1/businesses/{businessId}/categorization-rules/suggestions/{suggestionId}","title":"Reject suggested categorization rule","href":"/api-reference/v1/categorization-rules/reject-suggested-categorization-rule"}]}]},{"group":"General Ledger","pages":[{"title":"Account Identifier","href":"/api-reference/ledger/account-identifier"},{"title":"Required vs. Optional Template Accounts","href":"/api-reference/ledger/required-vs-optional-template-accounts"},{"title":"Chart of Accounts object","href":"/api-reference/ledger/chart"},{"openapi":"get /v1/businesses/{businessId}/ledger/chart","title":"Get chart of accounts","href":"/api-reference/v1/get-chart-of-accounts"},{"openapi":"get /v1/businesses/{businessId}/ledger/balances","title":"Get ledger balances","href":"/api-reference/v1/get-ledger-balances"},{"openapi":"get /v1/businesses/{businessId}/ledger/balances/exports/csv","title":"Export ledger balances to CSV","href":"/api-reference/v1/export-ledger-balances-csv"},{"group":"Accounts","pages":[{"openapi":"post /v1/businesses/{businessId}/ledger/accounts","title":"Create ledger account","href":"/api-reference/v1/create-ledger-account"},{"openapi":"put /v1/businesses/{businessId}/ledger/accounts/{accountId}","title":"Update ledger account","href":"/api-reference/v1/update-ledger-account"},{"openapi":"patch /v1/businesses/{businessId}/ledger/accounts/{accountId}","title":"Patch update ledger account","href":"/api-reference/v1/patch-update-ledger-account"},{"openapi":"get /v1/businesses/{businessId}/ledger/accounts/{accountId}","title":"Get ledger account","href":"/api-reference/v1/get-ledger-account"},{"openapi":"get /v1/businesses/{businessId}/ledger/accounts/{accountId}/lines","title":"Get account line items","href":"/api-reference/v1/get-account-line-items"},{"openapi":"get /v1/businesses/{businessId}/ledger/accounts","title":"List ledger accounts","href":"/api-reference/v1/list-ledger-accounts"},{"openapi":"delete /v1/businesses/{businessId}/ledger/accounts/{accountId}","title":"Delete ledger account","href":"/api-reference/v1/delete-ledger-account"},{"openapi":"post /v1/businesses/{businessId}/ledger/accounts/{accountId}/create-child-account","title":"Create child ledger account","href":"/api-reference/v1/create-child-ledger-account"},{"group":"Exports","pages":[{"openapi":"get /v1/businesses/{businessId}/ledger/accounts/{accountId}/exports/excel","title":"Export account transactions as Excel","href":"/api-reference/v1/export-account-transactions-as-excel"}]}]},{"group":"Journal Entries","pages":[{"group":"Custom Journal Entries","pages":[{"title":"Custom journal entry object","href":"/api-reference/custom-journal-entries/custom-journal-entry"},{"openapi":"get /v1/businesses/{businessId}/custom-journal-entries/","title":"List custom journal entries","href":"/api-reference/v1/custom-journal-entries/list-custom-journal-entries"},{"openapi":"post /v1/businesses/{businessId}/custom-journal-entries/","title":"Create custom journal entry","href":"/api-reference/v1/custom-journal-entries/create-custom-journal-entry"},{"openapi":"post /v1/businesses/{businessId}/custom-journal-entries/bulk","title":"Create multiple custom journal entries","href":"/api-reference/v1/custom-journal-entries/create-multiple-custom-journal-entries"},{"openapi":"get /v1/businesses/{businessId}/custom-journal-entries/{customJournalEntryId}","title":"Fetch custom journal entry","href":"/api-reference/v1/custom-journal-entries/fetch-custom-journal-entry"},{"openapi":"put /v1/businesses/{businessId}/custom-journal-entries/{customJournalEntryId}","title":"Update custom journal entry","href":"/api-reference/v1/custom-journal-entries/update-custom-journal-entry"},{"openapi":"delete /v1/businesses/{businessId}/custom-journal-entries/{customJournalEntryId}","title":"Reverse custom journal entry","href":"/api-reference/v1/custom-journal-entries/reverse-custom-journal-entry"}]},{"title":"Fetch Journal Entry","api":"GET https://sandbox.layerfi.com/v1/businesses/{business_id}/ledger/entries/{entry_id}","href":"/api-reference/ledger/entries/get-journal-entry"},{"openapi":"get /v1/businesses/{businessId}/ledger/entries","title":"List ledger entries","href":"/api-reference/v1/list-ledger-entries"},{"openapi":"get /v1/businesses/{businessId}/ledger/entries/exports/csv","title":"Export ledger entries to CSV","href":"/api-reference/v1/export-ledger-entries-csv"},{"title":"Reverse Journal Entry","api":"POST https://sandbox.layerfi.com/v1/businesses/{business_id}/ledger/entries/{entry_id}/reverse","href":"/api-reference/ledger/entries/create-reversal-entry"}]},{"group":"Adjustments","pages":[{"group":"Retained earnings","pages":[{"openapi":"post /v1/businesses/{businessId}/closing/retained-earnings","title":"Retained earnings","href":"/api-reference/v1/create-retained-earnings-closing-action"},{"openapi":"post /v1/businesses/{businessId}/closing/retained-earnings/preview","title":"Preview retained earnings","href":"/api-reference/v1/preview-retained-earnings-closing-action"}]}]}]},{"group":"Tags","pages":[{"openapi":"post /v1/businesses/{businessId}/tags","title":"Tag entities","href":"/api-reference/v1/tag-entities"},{"openapi":"post /v1/businesses/{businessId}/tags/delete","title":"Delete tags from entity","href":"/api-reference/v1/delete-tags-from-entity"},{"group":"Tag Dimensions","pages":[{"openapi":"get /v1/businesses/{businessId}/tags/dimensions","title":"List tag dimensions","href":"/api-reference/v1/list-tag-dimensions"},{"openapi":"post /v1/businesses/{businessId}/tags/dimensions","title":"Create tag dimension","href":"/api-reference/v1/create-tag-dimension"},{"openapi":"get /v1/businesses/{businessId}/tags/dimensions/{dimensionId}","title":"Get tag dimension","href":"/api-reference/v1/get-tag-dimension"},{"openapi":"get /v1/businesses/{businessId}/tags/dimensions/key/{dimensionKey}","title":"Get tag dimension by key","href":"/api-reference/v1/get-tag-dimension-by-key"},{"openapi":"patch /v1/businesses/{businessId}/tags/dimensions/{dimensionId}","title":"Update tag dimension","href":"/api-reference/v1/update-tag-dimension"},{"openapi":"patch /v1/businesses/{businessId}/tags/dimensions/key/{dimensionKey}","title":"Update tag dimension by key","href":"/api-reference/v1/update-tag-dimension-by-key"}]},{"group":"Tag Values","pages":[{"openapi":"get /v1/businesses/{businessId}/tags/values","title":"List tag values","href":"/api-reference/v1/list-tag-value"},{"openapi":"post /v1/businesses/{businessId}/tags/dimensions/{dimensionId}/values","title":"Create tag value","href":"/api-reference/v1/create-tag-value"},{"openapi":"patch /v1/businesses/{businessId}/tags/dimensions/{dimensionId}/values/{valueId}","title":"Update tag value","href":"/api-reference/v1/update-tag-value"}]}]},{"group":"Mileage Tracking","pages":[{"group":"Vehicles","pages":[{"openapi":"get /v1/businesses/{businessId}/mileage/vehicles","title":"List vehicles","href":"/api-reference/v1/list-vehicles"},{"openapi":"post /v1/businesses/{businessId}/mileage/vehicles","title":"Create vehicle","href":"/api-reference/v1/create-vehicle"},{"openapi":"post /v1/businesses/{businessId}/mileage/vehicles/bulk","title":"Bulk create vehicles","href":"/api-reference/v1/bulk-create-vehicles"},{"openapi":"get /v1/businesses/{businessId}/mileage/vehicles/{vehicleId}","title":"Get vehicle","href":"/api-reference/v1/get-vehicle"},{"openapi":"patch /v1/businesses/{businessId}/mileage/vehicles/{vehicleId}","title":"Update vehicle","href":"/api-reference/v1/update-vehicle"},{"openapi":"post /v1/businesses/{businessId}/mileage/vehicles/{vehicleId}/archive","title":"Archive vehicle","href":"/api-reference/v1/archive-vehicle"},{"openapi":"post /v1/businesses/{businessId}/mileage/vehicles/{vehicleId}/reactivate","title":"Reactivate vehicle","href":"/api-reference/v1/reactivate-vehicle"},{"openapi":"delete /v1/businesses/{businessId}/mileage/vehicles/{vehicleId}","title":"Delete vehicle","href":"/api-reference/v1/delete-vehicle"}]},{"group":"Trips","pages":[{"openapi":"get /v1/businesses/{businessId}/mileage/trips","title":"List trips","href":"/api-reference/v1/list-trips"},{"openapi":"post /v1/businesses/{businessId}/mileage/trips","title":"Create trip","href":"/api-reference/v1/create-trip"},{"openapi":"post /v1/businesses/{businessId}/mileage/trips/bulk","title":"Bulk create trips","href":"/api-reference/v1/bulk-create-trips"},{"openapi":"get /v1/businesses/{businessId}/mileage/trips/{tripId}","title":"Get trip","href":"/api-reference/v1/get-trip"},{"openapi":"patch /v1/businesses/{businessId}/mileage/trips/{tripId}","title":"Update trip","href":"/api-reference/v1/update-trip"},{"openapi":"delete /v1/businesses/{businessId}/mileage/trips/{tripId}","title":"Delete trip","href":"/api-reference/v1/delete-trip"}]},{"group":"Addresses","pages":[{"openapi":"get /v1/businesses/{businessId}/mileage/address-suggestions","title":"Get address suggestions","href":"/api-reference/v1/get-address-suggestions"},{"openapi":"get /v1/businesses/{businessId}/mileage/address-details","title":"Get address details","href":"/api-reference/v1/get-address-details"}]},{"group":"Reports","pages":[{"openapi":"get /v1/businesses/{businessId}/mileage/summary","title":"Get mileage summary","href":"/api-reference/v1/get-mileage-summary"}]}]},{"group":"Services Catalog","pages":[{"openapi":"get /v1/businesses/{businessId}/catalog/services","title":"List services","href":"/api-reference/v1/catalog/list-services"},{"openapi":"post /v1/businesses/{businessId}/catalog/services","title":"Create service","href":"/api-reference/v1/catalog/create-service"},{"openapi":"get /v1/businesses/{businessId}/catalog/services/{serviceId}","title":"Get service","href":"/api-reference/v1/catalog/get-service"},{"openapi":"patch /v1/businesses/{businessId}/catalog/services/{serviceId}","title":"Update service","href":"/api-reference/v1/catalog/update-service"},{"openapi":"delete /v1/businesses/{businessId}/catalog/services/{serviceId}","title":"Delete service","href":"/api-reference/v1/catalog/delete-service"}]},{"group":"Time Tracking","pages":[{"group":"Time Entries","pages":[{"openapi":"get /v1/businesses/{businessId}/time-tracking/time-entries","title":"List time entries","href":"/api-reference/v1/time-tracking/list-time-entries"},{"openapi":"post /v1/businesses/{businessId}/time-tracking/time-entries","title":"Create time entry","href":"/api-reference/v1/time-tracking/create-time-entry"},{"openapi":"post /v1/businesses/{businessId}/time-tracking/time-entries/bulk","title":"Bulk create time entries","href":"/api-reference/v1/time-tracking/bulk-create-time-entries"},{"openapi":"get /v1/businesses/{businessId}/time-tracking/time-entries/{timeEntryId}","title":"Get time entry","href":"/api-reference/v1/time-tracking/get-time-entry"},{"openapi":"patch /v1/businesses/{businessId}/time-tracking/time-entries/{timeEntryId}","title":"Update time entry","href":"/api-reference/v1/time-tracking/update-time-entry"}]},{"group":"Reports","pages":[{"openapi":"get /v1/businesses/{businessId}/time-tracking/time-entries/summary","title":"Get time entry summary","href":"/api-reference/v1/time-tracking/get-time-entry-summary"},{"openapi":"get /v1/businesses/{businessId}/time-tracking/invoice-preview","title":"Preview invoice from time entries","href":"/api-reference/v1/time-tracking/get-invoice-preview"}]}]},{"group":"Loans","pages":[{"title":"Loan object","href":"/api-reference/loan/loan"},{"openapi":"get /v1/businesses/{businessId}/loans","title":"List loans","href":"/api-reference/v1/loans/list-loans"},{"openapi":"post /v1/businesses/{businessId}/loans","title":"Create a loan","href":"/api-reference/v1/loans/create-loan"},{"openapi":"get /v1/businesses/{businessId}/loans/{loanId}","title":"Fetch a loan","href":"/api-reference/v1/loans/fetch-loan"},{"openapi":"patch /v1/businesses/{businessId}/loans/{loanId}","title":"Update a loan","href":"/api-reference/v1/loans/update-loan"},{"openapi":"delete /v1/businesses/{businessId}/loans/{loanId}","title":"Archive a loan","href":"/api-reference/v1/loans/archive-loan"},{"group":"Loan Proceeds","pages":[{"openapi":"get /v1/businesses/{businessId}/loans/{loanId}/proceeds","title":"List loan proceeds","href":"/api-reference/v1/loans/list-loan-proceeds"},{"openapi":"post /v1/businesses/{businessId}/loans/{loanId}/proceeds","title":"Create a loan proceed","href":"/api-reference/v1/loans/create-loan-proceed"},{"openapi":"get /v1/businesses/{businessId}/loans/{loanId}/proceeds/{proceedId}","title":"Fetch a loan proceed","href":"/api-reference/v1/loans/fetch-loan-proceed"},{"openapi":"patch /v1/businesses/{businessId}/loans/{loanId}/proceeds/{proceedId}","title":"Update a loan proceed","href":"/api-reference/v1/loans/update-loan-proceed"},{"openapi":"delete /v1/businesses/{businessId}/loans/{loanId}/proceeds/{proceedId}","title":"Archive a loan proceed","href":"/api-reference/v1/loans/archive-loan-proceed"}]},{"group":"Loan Payments","pages":[{"openapi":"get /v1/businesses/{businessId}/loans/payments","title":"List loan payments","href":"/api-reference/v1/loans/list-loan-payments"},{"openapi":"post /v1/businesses/{businessId}/loans/payments","title":"Create a loan payment","href":"/api-reference/v1/loans/create-loan-payment"},{"openapi":"post /v1/businesses/{businessId}/loans/{loanId}/payments/bulk","title":"Bulk create loan payments","href":"/api-reference/v1/loans/bulk-create-loan-payments"},{"openapi":"get /v1/businesses/{businessId}/loans/payments/{paymentId}","title":"Fetch a loan payment","href":"/api-reference/v1/loans/fetch-loan-payment"},{"openapi":"patch /v1/businesses/{businessId}/loans/payments/{paymentId}","title":"Update a loan payment","href":"/api-reference/v1/loans/update-loan-payment"},{"openapi":"delete /v1/businesses/{businessId}/loans/payments/{paymentId}","title":"Archive a loan payment","href":"/api-reference/v1/loans/archive-loan-payment"},{"openapi":"get /v1/businesses/{businessId}/loans/{loanId}/payments","title":"List payments for a loan","href":"/api-reference/v1/loans/list-payments-for-loan"}]}]},{"group":"Assets","pages":[{"title":"Asset object","href":"/api-reference/asset/asset"},{"openapi":"get /v1/businesses/{businessId}/assets","title":"List assets","href":"/api-reference/v1/assets/list-assets"},{"openapi":"post /v1/businesses/{businessId}/assets","title":"Create an asset","href":"/api-reference/v1/assets/create-asset"},{"openapi":"get /v1/businesses/{businessId}/assets/{assetId}","title":"Fetch an asset","href":"/api-reference/v1/assets/fetch-asset"},{"openapi":"patch /v1/businesses/{businessId}/assets/{assetId}","title":"Update an asset","href":"/api-reference/v1/assets/update-asset"},{"openapi":"delete /v1/businesses/{businessId}/assets/{assetId}","title":"Archive an asset","href":"/api-reference/v1/assets/archive-asset"},{"group":"Value Updates","pages":[{"openapi":"get /v1/businesses/{businessId}/assets/value-updates","title":"List asset value updates","href":"/api-reference/v1/assets/list-asset-value-updates"},{"openapi":"post /v1/businesses/{businessId}/assets/value-updates","title":"Create an asset value update","href":"/api-reference/v1/assets/create-asset-value-update"},{"openapi":"get /v1/businesses/{businessId}/assets/value-updates/{valueUpdateId}","title":"Fetch an asset value update","href":"/api-reference/v1/assets/fetch-asset-value-update"},{"openapi":"patch /v1/businesses/{businessId}/assets/value-updates/{valueUpdateId}","title":"Update an asset value update","href":"/api-reference/v1/assets/update-asset-value-update"},{"openapi":"delete /v1/businesses/{businessId}/assets/value-updates/{valueUpdateId}","title":"Archive an asset value update","href":"/api-reference/v1/assets/archive-asset-value-update"},{"openapi":"get /v1/businesses/{businessId}/assets/{assetId}/value-updates","title":"List value updates for an asset","href":"/api-reference/v1/assets/list-value-updates-for-asset"}]}]}]},{"group":"Accounting Reports","pages":[{"group":"Profit and Loss","pages":[{"title":"Profit and Loss object","href":"/api-reference/reports/pnl/pnl"},{"title":"Profit and Loss Details object","href":"/api-reference/reports/pnl/pnl-details"},{"title":"Retrieve a Profit and Loss","api":"GET https://sandbox.layerfi.com/v1/businesses/{business_id}/reports/profit-and-loss","href":"/api-reference/reports/pnl/get"},{"title":"Retrieve Profit and Loss Details","api":"GET https://sandbox.layerfi.com/v1/businesses/{business_id}/reports/profit-and-loss-details","href":"/api-reference/reports/pnl/get-pnl-details"},{"openapi":"get /v1/businesses/{businessId}/reports/profit-and-loss-summaries","title":"Fetch P\u0026L summaries","href":"/api-reference/v1/fetch-p\u0026l-summaries"},{"openapi":"get /v1/businesses/{businessId}/reports/profit-and-loss-summary","title":"Fetch P\u0026L summary","href":"/api-reference/v1/fetch-p\u0026l-summary"},{"openapi":"get /v1/businesses/{businessId}/reports/profit-and-loss","title":"Fetch P\u0026L report","href":"/api-reference/v1/fetch-p\u0026l-report"},{"openapi":"get /v1/businesses/{businessId}/reports/profit-and-loss/lines","title":"Fetch P\u0026L line items","href":"/api-reference/v1/fetch-p\u0026l-line-items"},{"openapi":"post /v1/businesses/{businessId}/reports/profit-and-loss-comparison","title":"Create P\u0026L comparisons","href":"/api-reference/v1/create-p\u0026l-comparisons"},{"group":"Exports","pages":[{"openapi":"get /v1/businesses/{businessId}/reports/profit-and-loss/exports/csv","title":"Export P\u0026L as CSV","href":"/api-reference/v1/export-p\u0026l-as-csv"},{"openapi":"get /v1/businesses/{businessId}/reports/profit-and-loss/exports/excel","title":"Export P\u0026L as Excel","href":"/api-reference/v1/export-p\u0026l-as-excel"},{"openapi":"get /v1/businesses/{businessId}/reports/profit-and-loss/lines/exports/excel","title":"Export P\u0026L line items as Excel","href":"/api-reference/v1/export-p\u0026l-line-items-as-excel"},{"openapi":"get /v1/businesses/{businessId}/reports/profit-and-loss/exports/month-over-month","title":"Export month-over-month P\u0026L","href":"/api-reference/v1/export-month-over-month-p\u0026l"},{"openapi":"post /v1/businesses/{businessId}/reports/profit-and-loss/exports/comparison-csv","title":"Export P\u0026L comparison as CSV","href":"/api-reference/v1/export-p\u0026l-comparison-as-csv"}]}]},{"group":"Balance Sheet","pages":[{"title":"Balance Sheet object","href":"/api-reference/reports/balance-sheet/balance-sheet"},{"title":"Retrieve a Balance Sheet","api":"GET https://sandbox.layerfi.com/v1/businesses/{business_id}/reports/balance-sheet","href":"/api-reference/reports/balance-sheet/get-balance-sheet"},{"openapi":"get /v1/businesses/{businessId}/reports/balance-sheet","title":"Fetch balance sheet","href":"/api-reference/v1/fetch-balance-sheet"},{"group":"Exports","pages":[{"openapi":"get /v1/businesses/{businessId}/reports/balance-sheet/exports/csv","title":"Export balance sheet as CSV","href":"/api-reference/v1/export-balance-sheet-as-csv"},{"openapi":"get /v1/businesses/{businessId}/reports/balance-sheet/exports/excel","title":"Export balance sheet as Excel","href":"/api-reference/v1/export-balance-sheet-as-excel"}]}]},{"group":"Cash Flow Statement","pages":[{"title":"Cash Flow Statement object","href":"/api-reference/reports/cash-flow-statement/cash-flow-statement"},{"title":"Retrieve a Cash Flow Statement","api":"GET https://sandbox.layerfi.com/v1/businesses/{business_id}/reports/cash-flow-statement","href":"/api-reference/reports/cash-flow-statement/get-cash-flow-statement"},{"openapi":"get /v1/businesses/{businessId}/reports/cashflow-statement","title":"Fetch cashflow statement","href":"/api-reference/v1/fetch-cashflow-statement"},{"group":"Exports","pages":[{"openapi":"get /v1/businesses/{businessId}/reports/cashflow-statement/exports/csv","title":"Export cashflow statement as CSV","href":"/api-reference/v1/export-cashflow-statement-as-csv"}]}]},{"group":"AR Aging","pages":[{"openapi":"get /v1/businesses/{businessId}/invoices/ar-aging","title":"Fetch AR aging report","href":"/api-reference/v1/fetch-ar-aging-report"},{"openapi":"get /v1/businesses/{businessId}/invoices/ar-aging/customer/{customerId}","title":"Fetch AR aging detail for a customer","href":"/api-reference/v1/fetch-ar-aging-detail-for-a-customer"}]},{"group":"AP Aging","pages":[{"openapi":"get /v1/businesses/{businessId}/reports/unified/ap-aging","title":"Fetch AP aging report","href":"/api-reference/v1/fetch-ap-aging-report"},{"openapi":"get /v1/businesses/{businessId}/reports/unified/ap-aging/exports/excel","title":"Export AP aging report as Excel","href":"/api-reference/v1/export-ap-aging-report-as-excel"}]},{"group":"Tax","pages":[{"openapi":"get /v1/businesses/{businessId}/reports/tax/schedule-c","title":"Fetch Schedule C report","href":"/api-reference/v1/fetch-schedule-c-report"},{"group":"Tax Packets","pages":[{"openapi":"post /v1/businesses/{businessId}/reports/tax-packets","title":"Create tax packet","href":"/api-reference/v1/create-tax-packet"},{"openapi":"get /v1/businesses/{businessId}/reports/tax-packets","title":"List tax packets","href":"/api-reference/v1/list-tax-packets"}]}]},{"group":"Tax Estimates","pages":[{"title":"Overview","href":"/api-reference/v1/tax-estimates/overview"},{"openapi":"get /v1/businesses/{businessId}/tax-estimates/summary","title":"Get tax summary","href":"/api-reference/v1/tax-estimates/get-tax-summary"},{"openapi":"get /v1/businesses/{businessId}/tax-estimates/overview","title":"Get tax overview","href":"/api-reference/v1/tax-estimates/get-tax-overview"},{"openapi":"get /v1/businesses/{businessId}/tax-estimates/details","title":"Get tax details","href":"/api-reference/v1/tax-estimates/get-tax-details"},{"openapi":"get /v1/businesses/{businessId}/tax-estimates/checklist","title":"Get tax checklist","href":"/api-reference/v1/tax-estimates/get-tax-checklist"},{"openapi":"get /v1/businesses/{businessId}/tax-estimates/payments","title":"Get tax payments","href":"/api-reference/v1/tax-estimates/get-tax-payments"},{"openapi":"get /v1/businesses/{businessId}/tax-estimates/profile","title":"Get tax profile","href":"/api-reference/v1/tax-estimates/get-tax-profile"},{"openapi":"post /v1/businesses/{businessId}/tax-estimates/profile","title":"Create tax profile","href":"/api-reference/v1/tax-estimates/create-tax-profile"},{"openapi":"patch /v1/businesses/{businessId}/tax-estimates/profile","title":"Update tax profile","href":"/api-reference/v1/tax-estimates/update-tax-profile"},{"openapi":"post /v1/businesses/{businessId}/tax-estimates/export","title":"Export tax documents","href":"/api-reference/v1/tax-estimates/export-tax-documents"}]},{"group":"Data Sync Validation","pages":[{"openapi":"get /v1/businesses/{businessId}/reports/data-sync-validation","title":"Fetch data sync validation totals","href":"/api-reference/v1/fetch-data-sync-validation-totals"}]}]},{"group":"Platform Configuration","pages":[{"group":"Accounting","pages":[{"openapi":"get /v1/configure/{clientId}/accounting","title":"Fetch client accounting configuration","href":"/api-reference/v1/fetch-client-accounting-configuration"},{"openapi":"patch /v1/configure/{clientId}/accounting","title":"Update client accounting configuration","href":"/api-reference/v1/update-client-accounting-configuration"}]},{"group":"SMS","pages":[{"openapi":"get /v1/businesses/{businessId}/sms","title":"Fetch SMS configuration","href":"/api-reference/sms/sms"},{"title":"Set SMS Configuration","api":"PUT https://sandbox.layerfi.com/v1/configure/sms","href":"/api-reference/sms/set"},{"title":"Retrieve SMS Configuration","api":"GET https://sandbox.layerfi.com/v1/configure/sms","href":"/api-reference/sms/get"}]}]},{"group":"Platform reporting","pages":[{"group":"Platform wide activity","pages":[{"openapi":"get /v2/activity","title":"Fetch platform activity summary","href":"/api-reference/v1/fetch-platform-activity-summary"}]},{"group":"Business Activity","pages":[{"openapi":"get /v2/activity/businesses/{businessId}/activities","title":"Fetch business activities","href":"/api-reference/v1/fetch-business-activities"},{"openapi":"get /v2/activity/businesses/{businessId}","title":"Fetch business activity metrics","href":"/api-reference/v1/fetch-business-activity-summary"}]},{"group":"Bookkeeping Status","pages":[{"openapi":"get /v1/reports/bookkeeping","title":"List bookkeeping businesses","href":"/api-reference/v1/list-bookkeeping-businesses"},{"openapi":"get /v1/businesses/{businessId}/reports/bookkeeping/status","title":"Fetch bookkeeping reporting status","href":"/api-reference/v1/fetch-bookkeeping-reporting-status"},{"openapi":"get /v1/businesses/{businessId}/reports/bookkeeping/periods","title":"Fetch bookkeeping reporting periods","href":"/api-reference/v1/fetch-bookkeeping-reporting-periods"},{"openapi":"get /v1/businesses/{businessId}/bookkeeping/periods","title":"List bookkeeping periods for a business","href":"/api-reference/v1/bookkeeping/list-bookkeeping-periods-for-a-business"}]},{"group":"Async Exports","pages":[{"openapi":"post /v1/billing/reports","title":"Create billing report export","href":"/api-reference/v1/create-billing-report-export"},{"openapi":"post /v1/reports/bookkeeping/exports","title":"Create bookkeeping status report export","href":"/api-reference/v1/create-bookkeeping-status-report-export"},{"openapi":"get /v1/exports","title":"List exports","href":"/api-reference/v1/list-exports"},{"openapi":"get /v1/exports/{exportId}","title":"Fetch export","href":"/api-reference/v1/fetch-export"}]}]},{"group":"Integrations","pages":[{"group":"Plaid","pages":[{"title":"Plaid Configuration object","href":"/api-reference/plaid/plaid"},{"title":"Set Plaid Credentials","api":"PUT https://sandbox.layerfi.com/v1/configure/plaid","href":"/api-reference/plaid/set"},{"title":"Retrieve Plaid Configuration","api":"GET https://sandbox.layerfi.com/v1/configure/plaid","href":"/api-reference/plaid/get"}]},{"group":"Stripe","pages":[{"openapi":"get /v1/configure/stripe","title":"Fetch Stripe configuration","href":"/api-reference/v1/fetch-stripe-configuration"},{"openapi":"put /v1/configure/stripe","title":"Update Stripe configuration","href":"/api-reference/v1/update-stripe-configuration"}]},{"group":"Check Embedded Payroll","pages":[{"openapi":"get /v1/businesses/{businessId}/payroll/check/configs","title":"List Check payroll configs","href":"/api-reference/v1/list-check-payroll-configs"},{"openapi":"put /v1/businesses/{businessId}/payroll/check/configs","title":"Create Check payroll config","href":"/api-reference/v1/create-check-payroll-config"},{"openapi":"delete /v1/businesses/{businessId}/payroll/check/configs/{checkPayrollConfigId}","title":"Delete Check payroll config","href":"/api-reference/v1/delete-check-payroll-config"}]},{"group":"Quickbooks","pages":[{"group":"Configure Quickbooks","pages":[{"openapi":"get /v1/configure/quickbooks","title":"Fetch Quickbooks configuration","href":"/api-reference/v1/fetch-quickbooks-configuration"},{"openapi":"put /v1/configure/quickbooks","title":"Update Quickbooks configuration","href":"/api-reference/v1/update-quickbooks-configuration"}]},{"group":"Sync Quickbooks","pages":[{"openapi":"get /v1/businesses/{businessId}/quickbooks/connection-status","title":"Get connection status","href":"/api-reference/v1/get-connection-status"},{"openapi":"post /v1/businesses/{businessId}/quickbooks/sync-from","title":"Sync from Quickbooks","href":"/api-reference/v1/sync-from-quickbooks"},{"openapi":"post /v1/businesses/{businessId}/quickbooks/authorize","title":"Authorize Quickbooks OAuth flow","href":"/api-reference/v1/authorize-quickbooks-oauth-flow"}]},{"group":"Quickbooks Ledger","pages":[{"openapi":"get /v1/businesses/{businessId}/quickbooks/ledger/accounts","title":"List Quickbooks accounts","href":"/api-reference/v1/list-quickbooks-accounts"},{"openapi":"get /v1/businesses/{businessId}/quickbooks/ledger/accounts/{accountId}","title":"Fetch Quickbooks account","href":"/api-reference/v1/fetch-quickbooks-account"},{"openapi":"post /v1/businesses/{businessId}/quickbooks/ledger/accounts/{accountId}/update-mapping","title":"Update Quickbooks account mapping","href":"/api-reference/v1/update-quickbooks-account-mapping"}]}]}]}]},{"tab":"Integratio
[...]
